# Draw
TKDCAF
DrawDim

# DrawDim_PlanarDistance Class Reference

PlanarDistance point/point
PlanarDistance point/line
PlanarDistance line/line
.

`#include <DrawDim_PlanarDistance.hxx>`

Inheritance diagram for DrawDim_PlanarDistance:

[legend]

## Public Member Functions

Standard_EXPORT | DrawDim_PlanarDistance (const TopoDS_Face &plane, const TopoDS_Shape &point1, const TopoDS_Shape &point2)
Standard_EXPORT | DrawDim_PlanarDistance (const TopoDS_Shape &geom1, const TopoDS_Shape &geom2)
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
| private
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT void | Draw (const gp_Pnt &p, const TopoDS_Edge &e, Draw_Display &d) const

## Private Attributes

TopoDS_Shape | myGeom1
TopoDS_Shape | myGeom2

## Constructor & Destructor Documentation

Standard_EXPORT DrawDim_PlanarDistance::DrawDim_PlanarDistance | ( | const TopoDS_Face & | plane,
|  | const TopoDS_Shape & | point1,
|  | const TopoDS_Shape & | point2
| ) |

Standard_EXPORT DrawDim_PlanarDistance::DrawDim_PlanarDistance | ( | const TopoDS_Shape & | geom1,
|  | const TopoDS_Shape & | geom2
| ) |

## Member Function Documentation

Standard_EXPORT void DrawDim_PlanarDistance::Draw | ( | const gp_Pnt & | p,
|  | const TopoDS_Edge & | e,
|  | Draw_Display & | d
| ) | const`[private]`

Standard_EXPORT void DrawDim_PlanarDistance::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

Standard_EXPORT const DrawDim_PlanarDistance::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DrawDim_PlanarDimension.

## Field Documentation

TopoDS_Shape DrawDim_PlanarDistance::myGeom1 `[private]`

TopoDS_Shape DrawDim_PlanarDistance::myGeom2 `[private]`

The documentation for this class was generated from the following file:

- DrawDim_PlanarDistance.hxx